com.fasterxml.jackson.module.jaxb.ser

## Class DomElementJsonSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<Element>
    - - com.fasterxml.jackson.module.jaxb.ser.DomElementJsonSerializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, com.fasterxml.jackson.databind.jsonschema.SchemaAware, Serializable

  Deprecated.
  Since 2.10 not used

      @Deprecated
      public class DomElementJsonSerializer
      extends com.fasterxml.jackson.databind.ser.std.StdSerializer<Element>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `com.fasterxml.jackson.databind.JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_handledType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomElementJsonSerializer()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptJsonFormatVisitor(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper visitor, com.fasterxml.jackson.databind.JavaType typeHint)` Deprecated.
    `com.fasterxml.jackson.databind.JsonNode` | `getSchema(com.fasterxml.jackson.databind.SerializerProvider provider, Type typeHint)` Deprecated.
    `void` | `serialize(Element value, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider)` Deprecated.

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_neitherNull, _nonEmpty, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomElementJsonSerializer

          public DomElementJsonSerializer()

      Deprecated.

  - ### Method Detail

    - #### serialize

          public void serialize(Element value,
                                com.fasterxml.jackson.core.JsonGenerator jgen,
                                com.fasterxml.jackson.databind.SerializerProvider provider)
                         throws IOException,
                                com.fasterxml.jackson.core.JsonGenerationException

      Deprecated.
      Specified by:
        `serialize` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<Element>`
      Throws:
        `IOException`
        `com.fasterxml.jackson.core.JsonGenerationException`

    - #### acceptJsonFormatVisitor

          public void acceptJsonFormatVisitor(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper visitor,
                                              com.fasterxml.jackson.databind.JavaType typeHint)
                                       throws com.fasterxml.jackson.databind.JsonMappingException

      Deprecated.
      Specified by:
        `acceptJsonFormatVisitor` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`
      Overrides:
        `acceptJsonFormatVisitor` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<Element>`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### getSchema

          public com.fasterxml.jackson.databind.JsonNode getSchema(com.fasterxml.jackson.databind.SerializerProvider provider,
                                                                   Type typeHint)
                                                            throws com.fasterxml.jackson.databind.JsonMappingException

      Deprecated.
      Specified by:
        `getSchema` in interface `com.fasterxml.jackson.databind.jsonschema.SchemaAware`
      Overrides:
        `getSchema` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<Element>`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

Copyright © 2022 FasterXML. All rights reserved.